<template>
  <admin-business-table />
</template>

<script>
import {mapActions, mapGetters} from "vuex"
import AdminBusinessTable from "./AdminBusinessTable"

export default {
  name: "AdminBusinessList",
  components: {AdminBusinessTable},
  computed: {
    ...mapGetters([
      'isAdmin',
      'businesses'
    ])
  },
  created() {
    if (this.businesses.length === 0) {
      this.fetchBusinesses();
    }
  },
  methods: {
    ...mapActions([
      'fetchBusinesses'
    ])
  }
}
</script>

<style scoped>

</style>